#include <iostream>
using namespace std;

/*
 * Функция, която връща два отговора: n-тото и n-минус-първото число.
 *
 * fib2(1) = 1, 1
 * fib2(n) = fib2(n - 1) + fib2(n - 2), fib2(n - 2) + fib2(n - 3)
 */
void fib2(int* nth, int* prev, int n) {

	if(n < 2) {
		*nth = 1;
		*prev = 1;
		return;
	}

	int a, b;
	fib2(&a, &b, n - 1);
	*nth = a + b;
	*prev = a;
}

int fib(int n) {
	
	int nth, prev;
	fib2(&nth, &prev, n);
	return nth;
}

int main() {

	int n;
	cout << "n: ";
	cin >> n;

	cout << "fib(" << n << ") = " << fib(n) << endl;
	return 0;
}
